Callability::Price Class Reference

amount to be paid upon callability More...

`#include <ql/instruments/callabilityschedule.hpp>`

## Public Types

enum | Type { Dirty, Clean }

## Public Member Functions

| Price (Real amount, Type type)
Real | amount () const
Type | type () const

## Detailed Description

amount to be paid upon callability

Examples:
  CallableBonds.cpp, and ConvertibleBonds.cpp.